Bug 17111 - Automatic debian/control updates (oldstable/18.05.x)
Summary: Automatic debian/control updates (oldstable/18.05.x)
Status: ASSIGNED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 17.11
Hardware: All All
: P5 - low normal (vote)
Assignee: Mirko Tietgen
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17121
Blocks: 18018
  Show dependency treegraph
 
Reported: 2016-08-11 15:14 UTC by Mirko Tietgen
Modified: 2018-12-12 22:00 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17108 - Automatic debian/control updates (oldstable) (2.13 KB, patch)
2016-08-11 15:30 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17108 - Automatic debian/control updates (oldstable) (2.13 KB, patch)
2016-08-12 02:20 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable) (2.08 KB, patch)
2016-08-13 02:21 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable) (2.12 KB, patch)
2016-08-13 11:20 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable) (1.98 KB, patch)
2016-08-13 12:13 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable) (2.03 KB, patch)
2016-08-14 09:46 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable) (2.32 KB, patch)
2016-08-23 13:34 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable) (2.37 KB, patch)
2016-08-23 13:42 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable) (999 bytes, patch)
2016-09-24 15:36 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable) (1.03 KB, patch)
2016-09-24 15:46 UTC, Nightly Build Bot
Details | Diff | Splinter Review
update control (2.61 KB, patch)
2017-01-31 12:03 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17111: Update control file for 16.05 (2.64 KB, patch)
2017-01-31 12:06 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17111: Update control file for 16.05 (2.75 KB, patch)
2017-01-31 17:55 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 17111: Update control file for 16.05 (2.80 KB, patch)
2017-02-01 12:17 UTC, Mirko Tietgen
Details | Diff | Splinter Review
d/control 17.05.08 (4.48 KB, patch)
2018-01-24 15:04 UTC, Mirko Tietgen
Details | Diff | Splinter Review
d/control 17.05.08 (4.53 KB, patch)
2018-01-24 15:05 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable/17.11.x) (1.10 KB, patch)
2018-06-15 11:34 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable/17.11.x) (1.15 KB, patch)
2018-06-15 11:49 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable/17.11.x) (1.63 KB, patch)
2018-07-10 00:25 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable/17.11.x) (872 bytes, patch)
2018-12-11 11:24 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable/18.05.x) (872 bytes, patch)
2018-12-11 14:26 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17111 - Automatic debian/control updates (oldstable/18.05.x) (928 bytes, patch)
2018-12-11 14:49 UTC, Mirko Tietgen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Nightly Build Bot 2016-08-11 15:30:25 UTC Comment hidden (obsolete)
Comment 3 Nightly Build Bot 2016-08-12 02:20:24 UTC Comment hidden (obsolete)
Comment 4 Nightly Build Bot 2016-08-13 02:21:36 UTC Comment hidden (obsolete)
Comment 5 Nightly Build Bot 2016-08-13 11:20:38 UTC Comment hidden (obsolete)
Comment 6 Nightly Build Bot 2016-08-13 12:13:18 UTC Comment hidden (obsolete)
Comment 7 Mirko Tietgen 2016-08-14 09:46:45 UTC Comment hidden (obsolete)
Comment 9 Nightly Build Bot 2016-08-23 13:34:29 UTC Comment hidden (obsolete)
Comment 20 Nightly Build Bot 2016-09-24 15:46:12 UTC
Created attachment 55791 [details] [review]
Bug 17111 - Automatic debian/control updates (oldstable)

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 38 Fridolin SOMERS 2018-02-23 13:39:06 UTC
@Mirko
Why back to ASSIGNED ?
Comment 39 Mirko Tietgen 2018-03-01 10:26:07 UTC
Fridolin: This is a "standing" bug, it will get new patches whenever a dependency is pushed. So after push I set it back to assigned.
Comment 40 Fridolin SOMERS 2018-03-05 16:07:46 UTC
(In reply to Mirko Tietgen from comment #39)
> Fridolin: This is a "standing" bug, it will get new patches whenever a
> dependency is pushed. So after push I set it back to assigned.

Ok thanks for the explanation ;)
Comment 45 Mirko Tietgen 2018-12-11 12:06:32 UTC
Changed to oldstable=18.05.
Comment 46 Nightly Build Bot 2018-12-11 14:26:03 UTC
Created attachment 83044 [details] [review]
Bug 17111 - Automatic debian/control updates (oldstable/18.05.x)
Comment 47 Mirko Tietgen 2018-12-11 14:49:07 UTC
Created attachment 83045 [details] [review]
Bug 17111 - Automatic debian/control updates (oldstable/18.05.x)

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 48 Mirko Tietgen 2018-12-11 14:57:27 UTC
Hi Jesse & Lucas,

this bug will have automatically generated updates for the Debian packages whenever a new dependency is pushed. Each supported branch of Koha has its own bug for it. It will not happen very often for 18.05.

Please push the patch. The bug will not be closed afterwards but will go back to 'assigned' for the next update to come.
Comment 49 Lucas Gass 2018-12-12 17:34:59 UTC
backported to 18.05 for 18.05.07